import { OnInit, ChangeDetectorRef } from '@angular/core';
import { FieldType, FieldTypeConfig } from '@ngx-formly/core';
import * as i0 from "@angular/core";
export declare class FormlyFieldMultiCheckboxComponent extends FieldType<FieldTypeConfig> implements OnInit {
    private cdr;
    defaultOptions: {
        props: {
            options: any[];
            expandableOptions: boolean;
            expandedOptions: boolean;
        };
    };
    allComplete: boolean;
    ariaChecked: string;
    mainOptionAriaChecked: string[];
    subOptionAriaChecked: string[];
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    checkSubOption(allSubOptions: any, index: any): boolean;
    checkMainOption(id: any, allSubOptions: any): boolean;
    onSubOptionChange(subOption: any, checked: boolean, allSubOptions: any, index: number): void;
    onMainOptionChange(value: any, checked: boolean, mainOptions: any, id: string): void;
    onChange(value: any, checked: boolean): void;
    isChecked(option: any): boolean;
    setAllSubList(checked: any, subList: any, index: any): void;
    getIndex(id: any): any;
    setAll(ev: any): void;
    _getAriaChecked(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyFieldMultiCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyFieldMultiCheckboxComponent, "sds-formly-field-multicheckbox", never, {}, {}, never, never, false, never>;
}
