import { ElementRef, OnInit } from '@angular/core';
import { FieldType, FieldTypeConfig } from '@ngx-formly/core';
import * as i0 from "@angular/core";
export declare class FormlyFieldTextAreaComponent extends FieldType<FieldTypeConfig> implements OnInit {
    textareaRef: ElementRef;
    defaultOptions: {
        props: {
            cols: number;
            rows: number;
            width: string;
        };
    };
    charactersRemaining: number;
    ngOnInit(): void;
    valueChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyFieldTextAreaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyFieldTextAreaComponent, "sds-formly-field-textarea", never, {}, {}, never, never, false, never>;
}
