import { AfterViewInit, OnDestroy, ViewContainerRef } from '@angular/core';
import { FieldWrapper } from '@ngx-formly/core';
import { Subscription } from 'rxjs';
import { UsaAccordionComponent, UsaAccordionItem } from '@gsa-sam/ngx-uswds';
import * as i0 from "@angular/core";
/**
 * @param string [props.expand] to expand the accordion
 *
 */
export declare class FormlyAccordianFormFieldComponent extends FieldWrapper implements AfterViewInit, OnDestroy {
    fieldComponent: ViewContainerRef;
    accordion: UsaAccordionComponent;
    accordionItem: UsaAccordionItem;
    multi: boolean;
    resetAllSubscription: Subscription;
    constructor();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    modelHasValue(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyAccordianFormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyAccordianFormFieldComponent, "sam-formly-accordian-form-field", never, {}, {}, never, never, false, never>;
}
