import { ViewContainerRef } from '@angular/core';
import { FieldWrapper } from '@ngx-formly/core';
import * as i0 from "@angular/core";
/**
 * @param string [props.tagClass] Class to be added to the tag (default: sds-tag--info-white)
 * @param string [props.tagText] Text to be shown inside the tag
 * @param string [props.labelClass] Class to be applied to the label
 * @param string [props.label] Text to be shown for the label
 * @param string [props.required] Makes the field required
 * @param string [props.description] Add a description below the label
 * @param string [props.hideOptional] Remove the optional text
 * @param string [props.hideLabel] Hide the label
 *
 */
export declare class FormlyWrapperFormFieldComponent extends FieldWrapper {
    fieldComponent: ViewContainerRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyWrapperFormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyWrapperFormFieldComponent, "sds-formly-wrapper-form-field", never, {}, {}, never, never, false, never>;
}
