import { AfterViewInit, OnDestroy, ViewContainerRef } from '@angular/core';
import { FieldWrapper } from '@ngx-formly/core';
import { Subscription } from 'rxjs';
import { UsaAccordionComponent, UsaAccordionItem } from '@gsa-sam/ngx-uswds';
import * as i0 from "@angular/core";
/**
 * @param string [props.group] used to set the wrapper tupe
 * @param string [props.announceLabel] For screenreader
 * @param string [props.label] Text to be shown for the label
 * @param string [props.hideLabel] Hide the label
 *
 */
export declare class FormlyGroupWrapperComponent extends FieldWrapper implements AfterViewInit, OnDestroy {
    fieldComponent: ViewContainerRef;
    accordion: UsaAccordionComponent;
    accordionItem: UsaAccordionItem;
    multi: boolean;
    resetAllSubscription: Subscription;
    constructor();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    modelHasValue(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyGroupWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyGroupWrapperComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
