import { ViewContainerRef } from '@angular/core';
import { FieldWrapper } from '@ngx-formly/core';
import * as i0 from "@angular/core";
/**
 * @param string [props.tagClass] Class to be added to the tag (default: sds-tag--info-white)
 * @param string [props.tagText] Text to be shown inside the tag
 * @param string [props.label] Text to be shown for the label
 * @param string [props.required] Makes the field required
 * @param string [props.hideOptional] Remove the optional text
 *
 */
export declare class FormlyLabelWrapperComponent extends FieldWrapper {
    fieldComponent: ViewContainerRef;
    hasLabel(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyLabelWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyLabelWrapperComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
