import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormlyFormOptions, FormlyFieldConfig } from '@ngx-formly/core';
import { UntypedFormGroup } from '@angular/forms';
import { SdsDialogRef } from '@gsa-sam/components';
import { SdsFormlyDialogData } from './formly-dialog-data.model';
import { SdsAdvancedFiltersService } from '../formly-filters/advanced-filters/sds-advanced-filters.service';
import * as i0 from "@angular/core";
export declare class SdsFormlyDialogComponent implements OnInit {
    advancedFiltersService: SdsAdvancedFiltersService;
    private cdr;
    dialogRef: SdsDialogRef<SdsFormlyDialogComponent>;
    data: SdsFormlyDialogData;
    form: UntypedFormGroup;
    model: any;
    options: FormlyFormOptions;
    fields: FormlyFieldConfig[];
    cancel: string;
    submit: string;
    disableSubmitButton: boolean;
    submitFn: EventEmitter<any>;
    cancelFn: EventEmitter<any>;
    onChangeFn: EventEmitter<any>;
    constructor(advancedFiltersService: SdsAdvancedFiltersService, cdr: ChangeDetectorRef, dialogRef: SdsDialogRef<SdsFormlyDialogComponent>, data: SdsFormlyDialogData);
    ngOnInit(): void;
    onModelChange(): void;
    onSubmit(): void;
    onCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsFormlyDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsFormlyDialogComponent, "sds-formly-dialog", never, {}, { "submitFn": "submitFn"; "cancelFn": "cancelFn"; "onChangeFn": "onChangeFn"; }, never, never, false, never>;
}
