export declare class SDSFormlyUpdateModelService {
    /**
     * Filter update subject - This is a BehaviorSubject in case layout
     * component initializes and fires a filter model event before
     * sds-filters subscribes.
     */
    private updateFilterModel;
    /**
     * Observable to subscribe to for get updates of the filter
     */
    filterModel: import("rxjs").Observable<any>;
    /**
     * Update the filter
     * @param filterData
     */
    updateModel(filterData: any): void;
}
