import { ConfigOption, FormlyFieldConfig } from '@ngx-formly/core';
import { FormlyWrapperFormFieldComponent } from './wrappers/form-field.wrapper';
import { FormlyFieldSelectComponent } from './types/select';
import { FormlyFieldCheckboxComponent } from './types/checkbox';
import { FormlyFieldMultiCheckboxComponent } from './types/multicheckbox';
import { FormlyFieldTextAreaComponent } from './types/textarea';
import { FormlyFieldAutoCompleteComponent } from './types/autocomplete';
import { FormlyFieldDatePickerComponent } from './types/datepicker';
import { FormlyFieldButtonComponent } from './types/button';
import { FormlyFieldTextComponent } from './types/text';
export declare const FIELD_TYPE_COMPONENTS: (typeof FormlyWrapperFormFieldComponent | typeof FormlyFieldSelectComponent | typeof FormlyFieldCheckboxComponent | typeof FormlyFieldMultiCheckboxComponent | typeof FormlyFieldTextAreaComponent | typeof FormlyFieldAutoCompleteComponent | typeof FormlyFieldDatePickerComponent | typeof FormlyFieldButtonComponent | typeof FormlyFieldTextComponent | typeof FormlyFieldSearchComponent | typeof FormlyFieldFileInputComponent | typeof FormlyFieldEditorComponent | typeof FormlyFieldRichTextEditorComponent | typeof FormlyFieldStepArrowComponent)[];
import { FormlyFieldSearchComponent } from './types/search';
import { FormlyFieldFileInputComponent } from './types/file-input';
import { FormlyFieldEditorComponent } from './types/editor';
import { FormlyFieldRichTextEditorComponent } from './types/rich-text';
import { FormlyFieldStepArrowComponent } from './types/step-arrow';
export declare const FORMLY_WRAPPERS: any;
export declare const FORMLY_CONFIG: ConfigOption;
export declare function minDateToDateRangePicker(model: any, formState: any, field: FormlyFieldConfig): any;
export declare function minDateFromDateRangePicker(model: any, formState: any, field: FormlyFieldConfig): any;
export declare function maxDateToDateRangePicker(model: any, formState: any, field: FormlyFieldConfig): any;
export declare function maxDateFromDateRangePicker(model: any, formState: any, field: FormlyFieldConfig): any;
export declare function getParentHideOptional(model: any, formState: any, field: FormlyFieldConfig): any;
